#
#  Name        : ./wlan_symbian/wlaneapol_symbian/am/wapi_core/symbian/file_config/wapi_symbian.conf
#  Part of     : WAPI / 
#  Description : Configuration file for WAPI.
#  Version     : %version: 13 %
#  
#  Copyright � 2001-2008 Nokia. All rights reserved.
#  This material, including documentation and any related 
#  computer programs, is protected by copyright controlled by 
#  Nokia. All rights are reserved. Copying, including 
#  reproducing, storing, adapting or translating, any 
#  or all of this material requires the prior written consent of 
#  Nokia. This material also contains confidential 
#  information which may not be disclosed to others without the 
#  prior written consent of Nokia.
#

WAPI_TRACE_disable_traces = bool:false

WAPI_TRACE_enable_timer_traces = bool:false

WAPI_TRACE_enable_timer_queue_traces = bool:false

WAPI_TRACE_output_file_name = string:e:\logs\eapol\wapi_core.txt

WAPI_TRACE_max_trace_file_size = u32_t:1000000

WAPI_TRACE_activate_only_trace_masks_always_and_error = bool:false

WAPI_TRACE_activate_trace_on_error = bool:false

WAPI_CORE_session_timeout = u32_t:60000

WAPI_CORE_failure_received_timeout = u32_t:2000

WAPI_CORE_remove_session_timeout = u32_t:10000

WAPI_SESSION_use_reset_session = bool:false

WAPI_CORE_starts_max_count = u32_t:3

WAPI_CORE_send_start_interval = u32_t:2000

WAPI_key_state_retransmission_counter = u32_t:3

WAPI_key_state_retransmission_time = u32_t:500

WAPI_key_state_handshake_timeout=u32_t:15000

WAPI_max_session_validity_time = u32_t:43200

#EAPOL_key_authentication_type = string:WAI_PSK
#EAPOL_key_authentication_type = string:WAI_certificate

# This is Hex-data configuration option.
# This is the PSK used in WAPI testing.
# The default value is empty.
#WAPI_CORE_PSK = hex:74,65,73,74,74,65,73,74


#-------------------------------------------------------------------------------------

# This one shortens the long pathnames.
#WAPI_CERT_DIR = string:z:\private\101F8EC5


# This is the ASUE's ECC certificate file. It must be in DER format.
#WAPI_ASUE_certificate_file = string:$(WAPI_CERT_DIR)\user.cer-0.der

# This is the ASUE's ECC private key file. It must be in DER format.
#WAPI_ASUE_private_key_file = string:$(WAPI_CERT_DIR)\user.cer-1.der


# This is the AE's ECC certificate file. It must be in DER format.
#WAPI_AE_certificate_file = string:$(WAPI_CERT_DIR)\as.cer-0.der

# This is the AE's ECC private key file. It must be in DER format.
#WAPI_AE_private_key_file = string:$(WAPI_CERT_DIR)\


# This is the ASU's ECC certificate file. It must be in DER format.
#WAPI_ASU_certificate_file = string:$(WAPI_CERT_DIR)\as.cer-0.der

# This is the ASU's ECC private key file. It must be in DER format.
#WAPI_ASU_private_key_file = string:$(WAPI_CERT_DIR)\

#-------------------------------------------------------------------------------------


# end
